scsi_sense_desc_find
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_sense_desc_find — search for a given descriptor type in descriptor sense data format.

## Synopsis

`const u8 * scsi_sense_desc_find (` | const u8 * | sense_buffer,
| int | sb_len,
| int | desc_type`)`;

## Arguments

`sense_buffer`

  byte array of descriptor format sense data

`sb_len`

  number of valid bytes in sense_buffer

`desc_type`

  value of descriptor type to find (e.g. 0 -> information)

## Notes

only valid when sense data is in descriptor format

## Return value

pointer to start of (first) descriptor if found else NULL

Prev | Up | Next
scsi_normalize_sense | Home | scsi_get_sense_info_fld